Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class War

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.bundling.AbstractArchiveTask
                      org.gradle.api.tasks.bundling.Zip
                          org.gradle.api.tasks.bundling.Jar
                              org.gradle.api.tasks.bundling.War

    class War
    extends Jar

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `WAR_EXTENSION`
`java.util.List` | `additionalLibFileSets`
`org.gradle.api.tasks.bundling.AntWar` | `antWar`
`java.util.List` | `classesFileSets`
`java.util.List` | `libConfigurations`
`java.util.List` | `libExcludeConfigurations`
`java.util.List` | `webInfFileSets`
`java.io.File` | `webXml`

Constructor Summary
`War(Project project, java.lang.String name)`

Method Summary
`FileSet` | `additionalLibs(java.util.Map args, groovy.lang.Closure configureClosure = null)`
`FileSet` | `classes(java.util.Map args, groovy.lang.Closure configureClosure = null)`
`groovy.lang.Closure` | `createAntArchiveTask()`
`java.util.List` | `dependencies(boolean failForMissingDependencies, boolean includeProjectDependencies)`
`java.util.List` | `getAdditionalLibFileSets()`
`AntWar` | `getAntWar()`
`java.util.List` | `getClassesFileSets()`
`java.util.List` | `getLibConfigurations()`
`java.util.List` | `getLibExcludeConfigurations()`
`java.util.List` | `getWebInfFileSets()`
`java.io.File` | `getWebXml()`
`War` | `libConfigurations(java.lang.String libConfigurations)`
`War` | `libExcludeConfigurations(java.lang.String libExcludeConfigurations)`
`void` | `setAdditionalLibFileSets(java.util.List additionalLibFileSets)`
`void` | `setAntWar(AntWar antWar)`
`void` | `setClassesFileSets(java.util.List classesFileSets)`
`void` | `setLibConfigurations(java.util.List libConfigurations)`
`void` | `setLibExcludeConfigurations(java.util.List libExcludeConfigurations)`
`void` | `setWebInfFileSets(java.util.List webInfFileSets)`
`void` | `setWebXml(java.io.File webXml)`
`FileSet` | `webInf(java.util.Map args, groovy.lang.Closure configureClosure = null)` Adds a fileset to the list of webinf fileset's.

Methods inherited from class Jar
getAntJar, getFileSetManifest, getManifest, getMetaInfResourceCollections, setAntJar, setFileSetManifest, setManifest, setMetaInfResourceCollections

Methods inherited from class Zip
getAntZip, setAntZip

Methods inherited from class AbstractArchiveTask
addFileSetInternal, antDirective, createAntArchiveTask, createFileSetInternal, fileSet, fileSet, files, files, generateArchive, getAppendix, getArchiveName, getArchivePath, getBaseDir, getBaseName, getClassifier, getCustomName, getDestinationDir, getExtension, getMergeFileSets, getMergeGroupFileSets, getResourceCollections, getVersion, merge, mergeGroup, resourceCollections, setAppendix, setBaseDir, setBaseName, setClassifier, setCreateIfEmpty, setCustomName, setDestinationDir, setExtension, setMergeFileSets, setMergeGroupFileSets, setResourceCollections, setVersion

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### WAR_EXTENSION

    public static final java.lang.String WAR_EXTENSION

### additionalLibFileSets

    java.util.List additionalLibFileSets

### antWar

    org.gradle.api.tasks.bundling.AntWar antWar

### classesFileSets

    java.util.List classesFileSets

### libConfigurations

    java.util.List libConfigurations

### libExcludeConfigurations

    java.util.List libExcludeConfigurations

### webInfFileSets

    java.util.List webInfFileSets

### webXml

    java.io.File webXml

Constructor Detail

### War

    public War(Project project, java.lang.String name)

Method Detail

### additionalLibs

    FileSet additionalLibs(java.util.Map args, groovy.lang.Closure configureClosure = null)

### classes

    FileSet classes(java.util.Map args, groovy.lang.Closure configureClosure = null)

### createAntArchiveTask

    groovy.lang.Closure createAntArchiveTask()

### dependencies

    public java.util.List dependencies(boolean failForMissingDependencies, boolean includeProjectDependencies)

### getAdditionalLibFileSets

    public java.util.List getAdditionalLibFileSets()

### getAntWar

    public AntWar getAntWar()

### getClassesFileSets

    public java.util.List getClassesFileSets()

### getLibConfigurations

    public java.util.List getLibConfigurations()

### getLibExcludeConfigurations

    public java.util.List getLibExcludeConfigurations()

### getWebInfFileSets

    public java.util.List getWebInfFileSets()

### getWebXml

    public java.io.File getWebXml()

### libConfigurations

    War libConfigurations(java.lang.String libConfigurations)

### libExcludeConfigurations

    War libExcludeConfigurations(java.lang.String libExcludeConfigurations)

### setAdditionalLibFileSets

    public void setAdditionalLibFileSets(java.util.List additionalLibFileSets)

### setAntWar

    public void setAntWar(AntWar antWar)

### setClassesFileSets

    public void setClassesFileSets(java.util.List classesFileSets)

### setLibConfigurations

    public void setLibConfigurations(java.util.List libConfigurations)

### setLibExcludeConfigurations

    public void setLibExcludeConfigurations(java.util.List libExcludeConfigurations)

### setWebInfFileSets

    public void setWebInfFileSets(java.util.List webInfFileSets)

### setWebXml

    public void setWebXml(java.io.File webXml)

### webInf

    FileSet webInf(java.util.Map args, groovy.lang.Closure configureClosure = null)

  Adds a fileset to the list of webinf fileset's.
  param:
    args key-value pairs for setting field values of the created fileset.
  param:
    configureClosure (optional) closure which is applied against the newly created fileset.

Groovy Documentation